## JSON / Function(treeId, treeNode)setting.view.fontCss

### Overview[ depends on jquery.ztree.core js ]

Personalized text style, only applies to <A> object in the node DOM

Default: {}

### JSON Format

As same as .css() method in jQuery. e.g. {color:"#ff0011", background:"blue"}

### Function Parameter Descriptions

#### treeId String

zTree unique identifier: treeId.

#### treeNode JSON

JSON data object of the node which use the personalized text style

#### Return JSON

Return value is same as 'JSON Format'. e.g. {color:"#ff0011", background:"blue"}

### Examples of setting & function

#### 1. Don't modify css file, and set the node name's color to red

    var setting = {
    	view: {
    		fontCss : {color:"red"}
    	}
    };

#### 2. Don't modify css file, and set the root node name's color to red

    function setFontCss(treeId, treeNode) {
    	return treeNode.level == 0 ? {color:"red"} : {};
    };
    var setting = {
    	view: {
    		fontCss: setFontCss
    	}
    };